<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 12/26/2007 *
 * ===================                          Last change: 12/26/2007 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_wernis.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Configure wernis sub-system                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auszahlungensarten editieren                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Form sent?
if (isFormSent('save_config')) {
	// Is wernis_pass set?
	if (isPostRequestElementSet('wernis_pass')) {
		// Hash the password and remove clear-text
		setPostRequestElement('wernis_pass_md5', hashSha256(postRequestElement('wernis_pass')));

		// First merge temporarily the new API data into the current config
		mergeConfig(postRequestArray());

		// Let's test the API first (hold your horses here, cowboy! Thank you. :) )
		if (doAdminTestWernisApi()) {
			// Revert german commata
			foreach (array('payout_factor', 'withdraw_factor', 'payout_fee_percent', 'withdraw_fee_percent') as $revert) {
				setPostRequestElement('wernis_' . $revert, postRequestElement('wernis_' . $revert));
			} // END - if

			// Remove clear password
			unsetPostRequestElement('wernis_pass');

			// Save settings
			adminSaveSettingsFromPostData();
		} else {
			// Failed to test the API!
			displayMessage(getWernisErrorMessage());
		}
	} else {
		// Remove clear password
		unsetPostRequestElement('wernis_pass');

		// Save it, anyway
		adminSaveSettingsFromPostData();
	}
} else {
	// Load template
	loadTemplate('admin_config_wernis');
}

// [EOF]
?>
