<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/22/2005 *
 * ===================                          Last change: 10/22/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-beg2.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : List all begging members                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle moeglichen Gewinner der Bettel-Rallye aufl. *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

if ((!isExtensionActive('beg')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=beg%}');
	return;
} // END - if

// Autopurge installed?
$lastOnline = '%s';
$ONLINE = '';

if ((isExtensionActive('autopurge')) && (isBegActiveEnabled()) && ((getApInactiveSince() > 0))) {
	// Use last online timestamp to keep inactive members away from here
	$lastOnline   = ' AND (UNIX_TIMESTAMP() - `last_online`) < {?ap_inactive_since?}';
} // END - if

// Let's check if there are some points left we can pay...
$result = sqlQueryEscaped("SELECT
	`userid`,
	`beg_points`,
	`last_online`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`beg_points` > 0 AND
	`status`='CONFIRMED'
	" . runFilterChain('user_exclusion_sql', ' ') . "
	" . $lastOnline . "
ORDER BY
	`beg_points` DESC,
	`last_online` DESC,
	`userid` ASC
LIMIT {?beg_ranks?}",
	array(
		$ONLINE
	), __FILE__, __LINE__);

// Reset temporary variable and check for users
$OUT = '';
if (!ifSqlHasZeroNumRows($result)) {
	// Load our winners...
	$count = 1;
	while ($content = sqlFetchArray($result)) {
		// Prepare data for the template
		$content['count']       = $count;
		$content['last_online'] = generateDateTime($content['last_online'], '2');

		// Load row template
		$OUT .= loadTemplate('member_list_beg_row', TRUE, $content);

		// Count one up
		$count++;
	} // END - while
} else {
	// No one is interested in our "begging rallye" ! :-(
	$OUT = loadTemplate('member_beg_404', TRUE);
}

// Prepare content
$content['rows'] = $OUT;

// Free memory
sqlFreeResult($result);

// Load final template
loadTemplate('member_list_beg', FALSE, $content);

// [EOF]
?>
